## jetty 0.1.0

=== DESCRIPTION ===
Package: jetty
Type: Package
Title: Execute R in a 'Docker' Context
Version: 0.1.0
Authors@R: 
    person(given = "Daniel",
           family = "Molitor",
           role = c("aut", "cph", "cre"),
           email = "molitdj97@gmail.com")
Description: The goal of 'jetty' is to execute R functions and code
    snippets in an isolated R subprocess within a 'Docker' container
    and return the evaluated results to the local R session. 'jetty'
    can install necessary packages at runtime and seamlessly propagates
    errors and outputs from the 'Docker' subprocess back to the main
    session. 'jetty' is primarily designed for sandboxed testing and
    quick execution of example code.
License: GPL (>= 3)
Encoding: UTF-8
Imports: renv (>= 1.0.0), rlang
Suggests: here, Matrix, ggplot2, testthat (>= 3.0.0)
RoxygenNote: 7.3.2
Config/testthat/edition: 3
URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
BugReports: https://github.com/dmolitor/jetty/issues
NeedsCompilation: no
Packaged: 2025-01-08 17:59:08 UTC; dmolitor
Author: Daniel Molitor [aut, cph, cre]
Maintainer: Daniel Molitor <molitdj97@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-09 14:50:02 UTC

## jetty 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jetty
 Type: Package
 Title: Execute R in a 'Docker' Context
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     person(given = "Daniel",
            family = "Molitor",
@@ -23,8 +23,8 @@
 URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
 BugReports: https://github.com/dmolitor/jetty/issues
 NeedsCompilation: no
-Packaged: 2025-01-08 17:59:08 UTC; dmolitor
+Packaged: 2025-01-24 21:19:19 UTC; dmolitor
 Author: Daniel Molitor [aut, cph, cre]
 Maintainer: Daniel Molitor <molitdj97@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-09 14:50:02 UTC
+Date/Publication: 2025-01-24 23:00:10 UTC

## jetty 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jetty
 Type: Package
 Title: Execute R in a 'Docker' Context
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: 
     person(given = "Daniel",
            family = "Molitor",
@@ -23,8 +23,8 @@
 URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
 BugReports: https://github.com/dmolitor/jetty/issues
 NeedsCompilation: no
-Packaged: 2025-01-24 21:19:19 UTC; dmolitor
+Packaged: 2025-04-14 20:02:32 UTC; dmolitor
 Author: Daniel Molitor [aut, cph, cre]
 Maintainer: Daniel Molitor <molitdj97@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-24 23:00:10 UTC
+Date/Publication: 2025-04-14 22:40:06 UTC

## jetty 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jetty
 Type: Package
 Title: Execute R in a 'Docker' Context
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: 
     person(given = "Daniel",
            family = "Molitor",
@@ -18,13 +18,13 @@
 Encoding: UTF-8
 Imports: renv (>= 1.0.0), rlang
 Suggests: here, Matrix, ggplot2, testthat (>= 3.0.0)
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Config/testthat/edition: 3
 URL: https://github.com/dmolitor/jetty, http://www.dmolitor.com/jetty/
 BugReports: https://github.com/dmolitor/jetty/issues
 NeedsCompilation: no
-Packaged: 2025-04-14 20:02:32 UTC; dmolitor
+Packaged: 2025-10-14 15:27:23 UTC; dmolitor
 Author: Daniel Molitor [aut, cph, cre]
 Maintainer: Daniel Molitor <molitdj97@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-14 22:40:06 UTC
+Date/Publication: 2025-10-14 22:20:03 UTC

## jetty 6.1.24

=== debian/changelog ===
jetty (6.1.24-6ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via many hash collisions
    - debian/patches/CVE-2011-4461.patch: limit number of form parameters
      to avoid a DoS in modules/jetty/src/main/java/org/mortbay/jetty/Request.java,
      modules/jetty/src/main/java/org/mortbay/jetty/handler/ContextHandler.java,
      modules/jetty/src/test/java/org/mortbay/jetty/RequestTest.java,
      modules/util/src/main/java/org/mortbay/util/UrlEncoded.java,
      modules/util/src/test/java/org/mortbay/util/URLEncodedTest.java.
    - CVE-2011-4461

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Apr 2012 09:26:54 -0400

jetty (6.1.24-6) unstable; urgency=medium

  * Removed Depends on JREs for library packages, no longer required
    by the policy.
  * Added missing depends on JREs for the jetty package.
  * Made init script ignore weird exit statuses from logrotate.
    (Closes: 589681, LP: #607202)
  * Fixed broken restart command in jetty init script. Was missing a
    negation.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Jul 2010 22:28:14 +0200

jetty (6.1.24-5) unstable; urgency=low

  * Ignore test failures. (Closes: #586635)
  * Remove debian/.mh in clean target.

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Jun 2010 20:53:42 +0200

jetty (6.1.24-4) unstable; urgency=low

  * Updated the versions in the Manifests to match the actual version
    of jetty.
  * Remove all use of sudo in jetty.init. (Closes: #580639)
  * Fixed some formatting issues in the NEWS file.
  * Bumped debhelper compat to 7.
  * Made the javadoc link against system javadocs. This includes adding
    Recommends on various java-doc packages.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Jun 2010 14:49:32 +0200

jetty (6.1.24-3) unstable; urgency=low

  [ Torsten Werner ]
  * Merge changes from Ubuntu version 6.1.22-1ubuntu1:
    - debian/build.xml, debian/module.xml: Enable tests in the jetty module
    - debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in
      tests
    - debian/rules, debian/control: Added junit and ant-optional needed for
      tests

  [ Miguel Landaeta ]
  * Enable jetty-plus and jetty-annotations modules. (Closes: #585387).

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Jun 2010 14:07:51 -0430

jetty (6.1.24-2) unstable; urgency=low

  * Set JAVA_HOME in d/rules to /usr/lib/jvm/default-java. (Closes: #578618,
    #579469)
  * Fix the installation of jetty-util5.jar. (Closes: #569328)

 -- Torsten Werner <twerner@debian.org>  Thu, 29 Apr 2010 07:36:43 +0200

jetty (6.1.24-1) unstable; urgency=low

  [ Niels Thykier ]
  * Reduced Depends on libjetty-java-doc to a Suggests. (Closes: #569293)
  * Clarified what JETTY_HOST should be set to in order to accept all
    connections. (Closes: #554874)
  * Bumped Standards-Version to 3.8.4 - no changes required.

  [ Torsten Werner ]
  * New upstream release.
  * Change Build-Depends: default-jdk. (Closes: #578618)
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Fri, 23 Apr 2010 23:55:35 +0200

jetty (6.1.22-1ubuntu1) lucid; urgency=low

  * debian/build.xml, debian/module.xml: Enable tests in the jetty module
  * debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in tests
  * debian/rules, debian/control: Added junit and ant-optional needed for tests
  * debian/control, debian/rules: Build with default-jdk.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 26 Jan 2010 09:52:06 +0100

jetty (6.1.22-1) unstable; urgency=medium

  * New upstream release. (Closes: #553644)
  * Added OSGi bundle metadata (by upstream). (Closes: #558187)
  * Corrected path to jetty web-apps (by Niels Thykier). (Closes: #554877)

 -- Pablo Duboue <pablo.duboue@gmail.com>  Sun, 13 Dec 2009 1:55:00 -0400
  

jetty (6.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Stopped using /tmp/jetty-temp in /etc/init.d/jetty for security
    reasons.
    - JVM_TMP is now /var/cache/jetty/tmp
    - JETTY_TMP is now /var/cache/jetty/data
  * The postrm script no longer deletes files in /tmp/jetty-temp.
  * Removed Philipp Meier from Uploaders (last upload was 2006-06-07).
    Thanks for your work on this package.
  * Corrected javadoc symlink in binary package jetty.

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Oct 2009 20:45:43 +0200

jetty (6.1.20-2) unstable; urgency=low

  * Move documentation to /usr/share/doc/libjetty-java
  * Better postinst and postrm scripts, aligned with tomcat6 scripts:
     - postinst: user jetty is created with its own group
     - postrm: better cleanup of temporary data,
       thourough remove and purge of data
  * debian/changelog:
    - fix suggest for package libjetty-java-doc, add libjetty-java-doc
      to the list of Suggests for libjetty-java
    - add libjetty-extra to the list of Suggests for package jetty.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 07 Sep 2009 00:22:20 +0100

jetty (6.1.20-1) unstable; urgency=medium

  [ Niels Thykier ]
  * New upstream release.
  * Stop using Build-Depends-Indep, since the policy and the build
    daemons disagree on when it should be used (Closes: #540861).
  * Corrected jetty.install to reflect the move of some license files
    in the source tree.
  * Bumped to Standard-Versions 3.8.3 - no changes required.
  * Updated jetty.post{install,rm} scripts to use "set -e" instead of
    passing it to sh.
  * Installed "VERSION.txt" as upstream changelog.
  * A previous version (6.1.18-1) fixed the following security problems, which
    were not mentioned in the changelog: CVE-2007-5613, CVE-2007-5614,
    CVE-2007-5615, CVE-2009-1523, and CVE-2009-1524 (see below for more
    information).

  [ Torsten Werner ]
  * Set urgency to medium because this version fixes a FTBFS.

 -- Torsten Werner <twerner@debian.org>  Sun, 06 Sep 2009 23:06:45 +0200

jetty (6.1.19-2) unstable; urgency=low

  * Upload to unstable.



=== debian/control ===
Source: jetty
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Thierry Carrez <thierry.carrez@ubuntu.com>,
 Ludovic Claude <ludovic.claude@laposte.net>, Torsten Werner <twerner@debian.org>,
 Niels Thykier <niels@thykier.net>, Pablo Duboue <pablo.duboue@gmail.com>
Build-Depends: debhelper (>= 7), cdbs (>> 0.4.5.3), default-jdk, ant-optional, maven-repo-helper,
 libservlet2.5-java, libslf4j-java, libmx4j-java, libgnumail-java,
 libgnujaf-java, libcommons-daemon-java, junit, libgeronimo-jta-1.0.1b-spec-java,
 libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jetty
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jetty
Homepage: http://jetty.mortbay.com/

Package: libjetty-java
Architecture: all
Depends: ${misc:Depends}, libservlet2.5-java, libslf4j-java
Suggests: jetty, libjetty-java-doc
Description: Java servlet engine and webserver -- core libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.

Package: libjetty-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
Suggests: libjetty-java
Description: Javadoc for the Jetty API
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 .
 This package contains the Javadoc for libjetty-java.

Package: libjetty-extra-java
Architecture: all
Depends: ${misc:Depends}, libjetty-java (>= ${source:Version}), libmx4j-java, 
 libgnumail-java, libgnujaf-java, ant, libslf4j-java, libxerces2-java, 
 libtomcat6-java (>= 6.0.20-2), libgeronimo-jta-1.0.1b-spec-java
Recommends: libjetty-extra
Suggests: jetty
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application. 
 The extra libraries include jetty-management, jetty-naming,
 jetty-servlet-tester, jetty-ajp, jetty-java5-threadpool,
 jetty-client, jetty-rewrite-handler, jetty-plus, jetty-annotations

Package: libjetty-extra
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjetty-extra-java (>= ${source:Version})
Conflicts: libjetty-setuid-java
Suggests: jetty
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application. 
 This package contains the platform-dependent libraries used by Jetty.
 Currently it contains libsetuid.so which can be used to start Jetty as root
 so that privileged ports may be accessed and then switched to a non-root
 user for security.

Package: jetty
Architecture: all
Depends: ${misc:Depends}, libjetty-java (>= ${source:Version}),
 adduser, jsvc, apache2-utils, default-jre-headless | java5-runtime-headless
Suggests: libjetty-extra-java (>= ${source:Version}), libjetty-extra (>= ${source:Version}),
 libjetty-java-doc (>= ${source:Version})
Description: Java servlet engine and webserver
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.

=== debian/watch ===
version=3
http://svn.codehaus.org/jetty/jetty/tags/ \
  jetty-([0-6].*)/ debian debian/orig-tar.sh

## jetty 6.1.26

=== debian/changelog ===
jetty (6.1.26-1ubuntu1) quantal; urgency=low

  * Re-sync from Debian unstable.
  * d/jetty.init: Look for JAVA_HOME in multiarch locations for 
    openjdk-6 and openjdk-7 (LP: #878527).

 -- James Page <james.page@ubuntu.com>  Tue, 29 May 2012 12:23:52 +0100

jetty (6.1.26-1) unstable; urgency=low

  * New upstream release.
    - Fixes issues with loading javax.activation.
      (Closes: #594913)
  * Enable hardening flags for the setuid.so file.
  * Updated d/copyright to DEP-5 format 1.0.
  * Exit 0 in jetty's init script if jetty is already running.
    Thanks to Toby for the report and patch.  (Closes: #626382)
  * Fix misspelled "character-class" in grep invocation.  Thanks
    to Isaac for the report and correction.  (Closes: #637961)
  * Allow java.library.path to be set in /etc/default/jetty.
    Thanks to "biddster" for the report and the patches.
    (Closes: #600175, LP: #656374)
  * Apply patch from Fedora to fix hash collision related DOS.
    - CVE-2011-4461
  * Remove Michael Koch from Uploaders.  Thanks for your work
    on this package in the past.  (Closes: #654034)
  * Add gnumail-providers.jar to start.config.  Thanks to
    Michele Renda for the suggestion.  (Closes: #591851)
  * Add symlinks from jetty{,-util}-6.1.24.jar to the 6.1.26
    version to avoid breaking eclipse.

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Apr 2012 12:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Thierry Carrez <thierry.carrez@ubuntu.com>,
+Uploaders: Thierry Carrez <thierry.carrez@ubuntu.com>,
  Ludovic Claude <ludovic.claude@laposte.net>, Torsten Werner <twerner@debian.org>,
  Niels Thykier <niels@thykier.net>, Pablo Duboue <pablo.duboue@gmail.com>
 Build-Depends: debhelper (>= 7), cdbs (>> 0.4.5.3), default-jdk, ant-optional, maven-repo-helper,
  libservlet2.5-java, libslf4j-java, libmx4j-java, libgnumail-java,
  libgnujaf-java, libcommons-daemon-java, junit, libgeronimo-jta-1.0.1b-spec-java,
- libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc
+ libtomcat6-java, default-jdk-doc, libgnumail-java-doc, libservlet2.5-java-doc,
+ dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jetty
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jetty

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := servlet-api-2.5 slf4j-api slf4j-simple mx4j mx4j-tools gnumail activation commons-daemon junit ant-junit geronimo-jta-1.0.1b-spec annotations-api
DEB_ANT_BUILD_TARGET := package
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -DVERSION=$(VERSION) -Dbuild.sysclasspath=last
DEB_INSTALL_CHANGELOGS_ALL := VERSION.txt
#API_DOCS             := javadoc/

binary-post-install/lib$(PACKAGE)-java::
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty-util modules/util/pom.xml lib/jetty-util-$(VERSION).jar /usr/share/jetty/lib/jetty-util.jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty-util5 modules/util5/pom.xml lib/util5/jetty-util5-$(VERSION).jar /usr/share/jetty/jre1.5/jetty-util5-$(VERSION).jar  usr/share/jetty/lib/jre1.5/jetty-util5.jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty modules/jetty/pom.xml lib/jetty-$(VERSION).jar /usr/share/jetty/lib/jetty.jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty-sslengine extras/sslengine/pom.xml lib/sslengine/jetty-sslengine-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-sslengine.jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty-start modules/start/pom.xml start.jar /usr/share/jetty/start.jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=jetty-start-daemon contrib/start-daemon/pom.xml start-daemon.jar /usr/share/jetty/start-daemon.jar

binary-post-install/lib$(PACKAGE)-extra-java::
	mh_installpoms -plib$(PACKAGE)-extra-java
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-html modules/html/pom.xml lib/ext/jetty-html-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-html.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-management modules/management/pom.xml lib/management/jetty-management-$(VERSION).jar /usr/share/jetty/lib/management/jetty-management.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-naming modules/naming/pom.xml lib/naming/jetty-naming-$(VERSION).jar /usr/share/jetty/lib/naming/jetty-naming.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-plus modules/plus/pom.xml lib/plus/jetty-plus-$(VERSION).jar /usr/share/jetty/lib/plus/jetty-plus.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-servlet-tester extras/servlet-tester/pom.xml lib/ext/jetty-servlet-tester-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-servlet-tester.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-ajp extras/ajp/pom.xml lib/ext/jetty-ajp-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-ajp.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-java5-threadpool extras/threadpool/pom.xml lib/ext/jetty-java5-threadpool-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-java5-threadpool.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-client extras/client/pom.xml lib/ext/jetty-client-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-client.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-rewrite-handler contrib/jetty-rewrite-handler/pom.xml lib/ext/jetty-rewrite-handler-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-rewrite-handler.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-setuid extras/setuid/modules/java/pom.xml lib/ext/jetty-setuid-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-setuid.jar
	mh_installjar -plib$(PACKAGE)-extra-java -l --usj-name=jetty-annotations modules/annotations/pom.xml lib/ext/jetty-annotations-$(VERSION).jar /usr/share/jetty/lib/ext/jetty-annotations.jar

extras/setuid/modules/native/target/generated/org_mortbay_setuid_SetUID.c:
	cd extras/setuid && install -D modules/native/src/main/native/org_mortbay_setuid_SetUID.c modules/native/target/generated/org_mortbay_setuid_SetUID.c

extras/setuid/modules/native/target/generated/org_mortbay_setuid_SetUID.h: extras/setuid/modules/native/target/generated/org_mortbay_setuid_SetUID.c
	cd extras/setuid && javah -d modules/native/target/generated -classpath ../../lib/ext/jetty-setuid-$(VERSION).jar org.mortbay.setuid.SetUID

lib/ext/libsetuid.so: extras/setuid/modules/native/target/generated/org_mortbay_setuid_SetUID.h
	cd extras/setuid && gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
                -I$(JAVA_HOME)/include/ -I$(JAVA_HOME)/include/linux/  \
		-shared modules/native/target/generated/org_mortbay_setuid_SetUID.c -fPIC -O \
		-o ../../lib/ext/libsetuid.so

build/lib$(PACKAGE)-extra:: lib/ext/libsetuid.so

binary-post-install/lib$(PACKAGE)-extra::
	mh_installpoms -plib$(PACKAGE)-extra
	dh_install -plib$(PACKAGE)-extra --sourcedir=lib/ext libsetuid.so /usr/lib/jetty
	dh_link -plib$(PACKAGE)-extra /usr/lib/jetty/libsetuid.so /usr/share/jetty/lib/ext/libsetuid.so

clean::
	mh_clean

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

# No documentation released yet.
#binary-post-install/$(PACKAGE)-doc::

=== debian/watch ===
version=3
opts=uversionmangle=s/RC/~RC/ http://svn.codehaus.org/jetty/jetty/tags/ \
  jetty-([0-6].*)/ debian debian/orig-tar.sh
